﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __AgencyDetail = LightSwitchApplication.AgencyDetail

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class AgencyDetail
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __AgencyDetail, __AgencyDetail.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the AgencyDetail entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __AgencyDetail))
            MyBase.New(entitySet)
            
            __AgencyDetail.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub AgencyDetail_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub AgencyDetail_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __AgencyDetail.DetailsClass.GetValue(Me, __AgencyDetail.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __AgencyDetail.DetailsClass.SetValue(Me, __AgencyDetail.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __AgencyDetail.DetailsClass.GetValue(Me, __AgencyDetail.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __AgencyDetail.DetailsClass.SetValue(Me, __AgencyDetail.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property AgencyName As String
            Get
                Return __AgencyDetail.DetailsClass.GetValue(Me, __AgencyDetail.DetailsClass.PropertySetProperties.AgencyName)
            End Get
            Set
                __AgencyDetail.DetailsClass.SetValue(Me, __AgencyDetail.DetailsClass.PropertySetProperties.AgencyName, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub AgencyName_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub AgencyName_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub AgencyName_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Address As String
            Get
                Return __AgencyDetail.DetailsClass.GetValue(Me, __AgencyDetail.DetailsClass.PropertySetProperties.Address)
            End Get
            Set
                __AgencyDetail.DetailsClass.SetValue(Me, __AgencyDetail.DetailsClass.PropertySetProperties.Address, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Address_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Address_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Address_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property StreetAdress As String
            Get
                Return __AgencyDetail.DetailsClass.GetValue(Me, __AgencyDetail.DetailsClass.PropertySetProperties.StreetAdress)
            End Get
            Set
                __AgencyDetail.DetailsClass.SetValue(Me, __AgencyDetail.DetailsClass.PropertySetProperties.StreetAdress, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub StreetAdress_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub StreetAdress_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub StreetAdress_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property PhoneNumber1 As String
            Get
                Return __AgencyDetail.DetailsClass.GetValue(Me, __AgencyDetail.DetailsClass.PropertySetProperties.PhoneNumber1)
            End Get
            Set
                __AgencyDetail.DetailsClass.SetValue(Me, __AgencyDetail.DetailsClass.PropertySetProperties.PhoneNumber1, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PhoneNumber1_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PhoneNumber1_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PhoneNumber1_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property PhoneNumber2 As String
            Get
                Return __AgencyDetail.DetailsClass.GetValue(Me, __AgencyDetail.DetailsClass.PropertySetProperties.PhoneNumber2)
            End Get
            Set
                __AgencyDetail.DetailsClass.SetValue(Me, __AgencyDetail.DetailsClass.PropertySetProperties.PhoneNumber2, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PhoneNumber2_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PhoneNumber2_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PhoneNumber2_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Email As String
            Get
                Return __AgencyDetail.DetailsClass.GetValue(Me, __AgencyDetail.DetailsClass.PropertySetProperties.Email)
            End Get
            Set
                __AgencyDetail.DetailsClass.SetValue(Me, __AgencyDetail.DetailsClass.PropertySetProperties.Email, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Email_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Email_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Email_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Logo As Byte()
            Get
                Return __AgencyDetail.DetailsClass.GetValue(Me, __AgencyDetail.DetailsClass.PropertySetProperties.Logo)
            End Get
            Set
                __AgencyDetail.DetailsClass.SetValue(Me, __AgencyDetail.DetailsClass.PropertySetProperties.Logo, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Logo_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Logo_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Logo_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property WebAddress As String
            Get
                Return __AgencyDetail.DetailsClass.GetValue(Me, __AgencyDetail.DetailsClass.PropertySetProperties.WebAddress)
            End Get
            Set
                __AgencyDetail.DetailsClass.SetValue(Me, __AgencyDetail.DetailsClass.PropertySetProperties.WebAddress, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub WebAddress_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub WebAddress_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub WebAddress_Changed()
        End Sub

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __AgencyDetail, _
                __AgencyDetail.DetailsClass, _
                __AgencyDetail.DetailsClass.IImplementation, _
                __AgencyDetail.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __AgencyDetail, __AgencyDetail.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __AgencyDetail, __AgencyDetail.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __AgencyDetail.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __AgencyDetailEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __AgencyDetail, __AgencyDetail.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __AgencyDetail, __AgencyDetail.DetailsClass).Entry( _
                    AddressOf __AgencyDetail.DetailsClass.__AgencyDetail_CreateNew, _
                    AddressOf __AgencyDetail.DetailsClass.__AgencyDetail_Created, _
                    AddressOf __AgencyDetail.DetailsClass.__AgencyDetail_AllowSaveWithErrors)
            Private Shared Function __AgencyDetail_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __AgencyDetail)) As __AgencyDetail
                Return New __AgencyDetail(es)
            End Function
            Private Shared Sub __AgencyDetail_Created(e As __AgencyDetail)
                e.AgencyDetail_Created()
            End Sub
            Private Shared Function __AgencyDetail_AllowSaveWithErrors(e As __AgencyDetail) As Boolean
                Dim result As Boolean = False
                e.AgencyDetail_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __AgencyDetail, __AgencyDetail.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __AgencyDetail, __AgencyDetail.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __AgencyDetail.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __AgencyDetail, __AgencyDetail.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__AgencyDetail.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__AgencyDetail.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property AgencyName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__AgencyDetail.DetailsClass.PropertySetProperties.AgencyName),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Address As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__AgencyDetail.DetailsClass.PropertySetProperties.Address),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property StreetAdress As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__AgencyDetail.DetailsClass.PropertySetProperties.StreetAdress),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property PhoneNumber1 As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__AgencyDetail.DetailsClass.PropertySetProperties.PhoneNumber1),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property PhoneNumber2 As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__AgencyDetail.DetailsClass.PropertySetProperties.PhoneNumber2),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Email As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__AgencyDetail.DetailsClass.PropertySetProperties.Email),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Logo As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__AgencyDetail.DetailsClass.PropertySetProperties.Logo),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property WebAddress As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__AgencyDetail.DetailsClass.PropertySetProperties.WebAddress),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property AgencyName As String
                Shadows Property Address As String
                Shadows Property StreetAdress As String
                Shadows Property PhoneNumber1 As String
                Shadows Property PhoneNumber2 As String
                Shadows Property Email As String
                Shadows Property Logo As Byte()
                Shadows Property WebAddress As String
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __AgencyDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, Integer).Data), d As __AgencyDetail.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __AgencyDetail) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __AgencyDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __AgencyDetail.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __AgencyDetail.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __AgencyDetail)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __AgencyDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, Byte()).Data), d As __AgencyDetail.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __AgencyDetail) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __AgencyDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __AgencyDetail.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __AgencyDetail.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __AgencyDetail)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly AgencyName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Entry( _
                        "AgencyName", _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._AgencyName_Stub, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._AgencyName_ComputeIsReadOnly, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._AgencyName_Validate, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._AgencyName_GetImplementationValue, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._AgencyName_SetImplementationValue, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._AgencyName_OnValueChanged)
                Private Shared Sub _AgencyName_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __AgencyDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Data), d As __AgencyDetail.DetailsClass, sf As Object)
                    c(d, d._AgencyName, sf)
                End Sub
                Private Shared Function _AgencyName_ComputeIsReadOnly(e As __AgencyDetail) As Boolean
                    Dim result As Boolean = False
                    e.AgencyName_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _AgencyName_Validate(e As __AgencyDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.AgencyName_Validate(r)
                End Sub
                Private Shared Function _AgencyName_GetImplementationValue(d As __AgencyDetail.DetailsClass) As String
                    Return d.ImplementationEntity.AgencyName
                End Function
                Private Shared Sub _AgencyName_SetImplementationValue(d As __AgencyDetail.DetailsClass, v As String)
                    d.ImplementationEntity.AgencyName = v
                End Sub
                Private Shared Sub _AgencyName_OnValueChanged(e As __AgencyDetail)
                    e.AgencyName_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Address As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Entry( _
                        "Address", _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Address_Stub, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Address_ComputeIsReadOnly, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Address_Validate, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Address_GetImplementationValue, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Address_SetImplementationValue, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Address_OnValueChanged)
                Private Shared Sub _Address_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __AgencyDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Data), d As __AgencyDetail.DetailsClass, sf As Object)
                    c(d, d._Address, sf)
                End Sub
                Private Shared Function _Address_ComputeIsReadOnly(e As __AgencyDetail) As Boolean
                    Dim result As Boolean = False
                    e.Address_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Address_Validate(e As __AgencyDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Address_Validate(r)
                End Sub
                Private Shared Function _Address_GetImplementationValue(d As __AgencyDetail.DetailsClass) As String
                    Return d.ImplementationEntity.Address
                End Function
                Private Shared Sub _Address_SetImplementationValue(d As __AgencyDetail.DetailsClass, v As String)
                    d.ImplementationEntity.Address = v
                End Sub
                Private Shared Sub _Address_OnValueChanged(e As __AgencyDetail)
                    e.Address_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly StreetAdress As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Entry( _
                        "StreetAdress", _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._StreetAdress_Stub, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._StreetAdress_ComputeIsReadOnly, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._StreetAdress_Validate, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._StreetAdress_GetImplementationValue, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._StreetAdress_SetImplementationValue, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._StreetAdress_OnValueChanged)
                Private Shared Sub _StreetAdress_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __AgencyDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Data), d As __AgencyDetail.DetailsClass, sf As Object)
                    c(d, d._StreetAdress, sf)
                End Sub
                Private Shared Function _StreetAdress_ComputeIsReadOnly(e As __AgencyDetail) As Boolean
                    Dim result As Boolean = False
                    e.StreetAdress_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _StreetAdress_Validate(e As __AgencyDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.StreetAdress_Validate(r)
                End Sub
                Private Shared Function _StreetAdress_GetImplementationValue(d As __AgencyDetail.DetailsClass) As String
                    Return d.ImplementationEntity.StreetAdress
                End Function
                Private Shared Sub _StreetAdress_SetImplementationValue(d As __AgencyDetail.DetailsClass, v As String)
                    d.ImplementationEntity.StreetAdress = v
                End Sub
                Private Shared Sub _StreetAdress_OnValueChanged(e As __AgencyDetail)
                    e.StreetAdress_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly PhoneNumber1 As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Entry( _
                        "PhoneNumber1", _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._PhoneNumber1_Stub, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._PhoneNumber1_ComputeIsReadOnly, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._PhoneNumber1_Validate, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._PhoneNumber1_GetImplementationValue, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._PhoneNumber1_SetImplementationValue, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._PhoneNumber1_OnValueChanged)
                Private Shared Sub _PhoneNumber1_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __AgencyDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Data), d As __AgencyDetail.DetailsClass, sf As Object)
                    c(d, d._PhoneNumber1, sf)
                End Sub
                Private Shared Function _PhoneNumber1_ComputeIsReadOnly(e As __AgencyDetail) As Boolean
                    Dim result As Boolean = False
                    e.PhoneNumber1_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _PhoneNumber1_Validate(e As __AgencyDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.PhoneNumber1_Validate(r)
                End Sub
                Private Shared Function _PhoneNumber1_GetImplementationValue(d As __AgencyDetail.DetailsClass) As String
                    Return d.ImplementationEntity.PhoneNumber1
                End Function
                Private Shared Sub _PhoneNumber1_SetImplementationValue(d As __AgencyDetail.DetailsClass, v As String)
                    d.ImplementationEntity.PhoneNumber1 = v
                End Sub
                Private Shared Sub _PhoneNumber1_OnValueChanged(e As __AgencyDetail)
                    e.PhoneNumber1_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly PhoneNumber2 As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Entry( _
                        "PhoneNumber2", _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._PhoneNumber2_Stub, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._PhoneNumber2_ComputeIsReadOnly, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._PhoneNumber2_Validate, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._PhoneNumber2_GetImplementationValue, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._PhoneNumber2_SetImplementationValue, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._PhoneNumber2_OnValueChanged)
                Private Shared Sub _PhoneNumber2_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __AgencyDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Data), d As __AgencyDetail.DetailsClass, sf As Object)
                    c(d, d._PhoneNumber2, sf)
                End Sub
                Private Shared Function _PhoneNumber2_ComputeIsReadOnly(e As __AgencyDetail) As Boolean
                    Dim result As Boolean = False
                    e.PhoneNumber2_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _PhoneNumber2_Validate(e As __AgencyDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.PhoneNumber2_Validate(r)
                End Sub
                Private Shared Function _PhoneNumber2_GetImplementationValue(d As __AgencyDetail.DetailsClass) As String
                    Return d.ImplementationEntity.PhoneNumber2
                End Function
                Private Shared Sub _PhoneNumber2_SetImplementationValue(d As __AgencyDetail.DetailsClass, v As String)
                    d.ImplementationEntity.PhoneNumber2 = v
                End Sub
                Private Shared Sub _PhoneNumber2_OnValueChanged(e As __AgencyDetail)
                    e.PhoneNumber2_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Email As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Entry( _
                        "Email", _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Email_Stub, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Email_ComputeIsReadOnly, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Email_Validate, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Email_GetImplementationValue, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Email_SetImplementationValue, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Email_OnValueChanged)
                Private Shared Sub _Email_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __AgencyDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Data), d As __AgencyDetail.DetailsClass, sf As Object)
                    c(d, d._Email, sf)
                End Sub
                Private Shared Function _Email_ComputeIsReadOnly(e As __AgencyDetail) As Boolean
                    Dim result As Boolean = False
                    e.Email_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Email_Validate(e As __AgencyDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Email_Validate(r)
                End Sub
                Private Shared Function _Email_GetImplementationValue(d As __AgencyDetail.DetailsClass) As String
                    Return d.ImplementationEntity.Email
                End Function
                Private Shared Sub _Email_SetImplementationValue(d As __AgencyDetail.DetailsClass, v As String)
                    d.ImplementationEntity.Email = v
                End Sub
                Private Shared Sub _Email_OnValueChanged(e As __AgencyDetail)
                    e.Email_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Logo As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, Byte()).Entry( _
                        "Logo", _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Logo_Stub, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Logo_ComputeIsReadOnly, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Logo_Validate, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Logo_GetImplementationValue, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Logo_SetImplementationValue, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._Logo_OnValueChanged)
                Private Shared Sub _Logo_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __AgencyDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, Byte()).Data), d As __AgencyDetail.DetailsClass, sf As Object)
                    c(d, d._Logo, sf)
                End Sub
                Private Shared Function _Logo_ComputeIsReadOnly(e As __AgencyDetail) As Boolean
                    Dim result As Boolean = False
                    e.Logo_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Logo_Validate(e As __AgencyDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Logo_Validate(r)
                End Sub
                Private Shared Function _Logo_GetImplementationValue(d As __AgencyDetail.DetailsClass) As Byte()
                    Return d.ImplementationEntity.Logo
                End Function
                Private Shared Sub _Logo_SetImplementationValue(d As __AgencyDetail.DetailsClass, v As Byte())
                    d.ImplementationEntity.Logo = v
                End Sub
                Private Shared Sub _Logo_OnValueChanged(e As __AgencyDetail)
                    e.Logo_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly WebAddress As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Entry( _
                        "WebAddress", _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._WebAddress_Stub, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._WebAddress_ComputeIsReadOnly, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._WebAddress_Validate, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._WebAddress_GetImplementationValue, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._WebAddress_SetImplementationValue, _
                        AddressOf __AgencyDetail.DetailsClass.PropertySetProperties._WebAddress_OnValueChanged)
                Private Shared Sub _WebAddress_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __AgencyDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Data), d As __AgencyDetail.DetailsClass, sf As Object)
                    c(d, d._WebAddress, sf)
                End Sub
                Private Shared Function _WebAddress_ComputeIsReadOnly(e As __AgencyDetail) As Boolean
                    Dim result As Boolean = False
                    e.WebAddress_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _WebAddress_Validate(e As __AgencyDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.WebAddress_Validate(r)
                End Sub
                Private Shared Function _WebAddress_GetImplementationValue(d As __AgencyDetail.DetailsClass) As String
                    Return d.ImplementationEntity.WebAddress
                End Function
                Private Shared Sub _WebAddress_SetImplementationValue(d As __AgencyDetail.DetailsClass, v As String)
                    d.ImplementationEntity.WebAddress = v
                End Sub
                Private Shared Sub _WebAddress_OnValueChanged(e As __AgencyDetail)
                    e.WebAddress_Changed()
                End Sub
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _AgencyName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Address As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _StreetAdress As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _PhoneNumber1 As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _PhoneNumber2 As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Email As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Logo As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _WebAddress As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __AgencyDetail, __AgencyDetail.DetailsClass, String).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
